# Class pyglet.text.runlist.ConstRunIterator

    AbstractRunIterator --+
                          |
                         ConstRunIterator

Iterate over a constant value without creating a RunList.

## Methods

| __init__(self, length, value)
| next(self)
iterator | ranges(self, start, end) Iterate over a subrange of the run list.
object | __getitem__(self, index) Get the value at a given index.

## Method Details

### ranges

ranges(self, start, end)

Iterate over a subrange of the run list.

See the class documentation for examples of valid usage.

Returns:
  iterator: Iterator over (start, end, value) tuples.
Overrides:
  AbstractRunIterator.ranges

### __getitem__

(Indexing operator) __getitem__(self, index)

Get the value at a given index.

See the class documentation for examples of valid usage.

Returns: object
Overrides:
  AbstractRunIterator.__getitem__